<div class="my-auto col-md-12 col-md-offset-3">
  <div class="container-fluid col-md-6 mx-auto shadow p-3 mb-5 bg-white rounded">
    <form [formGroup]="accountForm" (ngSubmit)="onSubmit()" style="display: visible;">
      <div class="form-group row">
        <h5 class="col-4">Vos informations :</h5>
      </div>

      <div class="form-group row">
        <label class="col-4 col-form-label">Nom :</label>
        <div class="col-8">
          <input class="form-control" type="text" id="firstname" formControlName="firstname" name="firstname" value=""
            [ngModel]="user.firstName" placeholder="Nom" required>
        </div>
      </div>

      <div class="form-group row">
        <label class="col-4 col-form-label">Prénom :</label>
        <div class="col-8">
          <input class="form-control" type="text" value="Prénom" id="lastname" formControlName="lastname"
            name="lastname" [ngModel]="user.lastName" placeholder="Prénom" required>
        </div>
      </div>

      <div class="form-group row">
        <label class="col-4 col-form-label">Date de naissance :</label>
        <div class="col-8">
          <input class="form-control" type="date" value="JJ/MM/AAAA" id="dateBirth" formControlName="dateBirth"
            name="dateBirth" [ngModel]="user.birthDate | date:'yyyy-MM-dd'" required>
        </div>
      </div>

      <div class="form-group row">
        <label class="col-4 col-form-label">Email :</label>
        <div class="col-8">
          <input type="email" formControlName="email" name="email" id="email" class="form-control"
            [ngModel]="user.email" placeholder="test@test.fr" value="">
        </div>
      </div>

      <div class="form-group row">
        <label class="col-4 col-form-label">Rue :</label>
        <div class="col-8">
          <input class="form-control" type="text" id="street" formControlName="street" name="street"
            [ngModel]="user.address" placeholder="rue" required>
        </div>
      </div>

      <div class="form-group row">
        <label class="col-4 col-form-label">Numéro de téléphone :</label>
        <div class="col-8">
          <input class="form-control" type="tel" id="PhoneNumber" formControlName="PhoneNumber" name="PhoneNumber"
            [ngModel]="user.phoneNumber" placeholder="ex : 0123465238" required>
        </div>
      </div>

      <div class="form-group row">
        <label class="col-4 col-form-label">Code postale :</label>
        <div class="col-8">
          <input class="form-control" type="text" id="postalCode" formControlName="postalCode" name="postalCode"
            [ngModel]="user.postalCode" placeholder="02570" required>
        </div>
      </div>

      <div class="form-group row">
        <label class="col-4 col-form-label">Ville :</label>
        <div class="col-8">
          <input class="form-control" type="text" id="city" formControlName="city" name="city" [ngModel]="user.city"
            placeholder="Ville" required>
        </div>
      </div>


      <div class="form-group">
        <div class="row">
          <div class="mx-auto">
            <input [disabled]="true" *ngIf="!formChange" type="submit" name="register-submit" id="register-submit"
              tabindex="4" class="form-control btn btn-primary" value="Valider les modifications">
            <input [disabled]="!accountForm.valid" *ngIf="formChange" type="submit" name="register-submit"
              id="register-submit" tabindex="4" class="form-control btn btn-primary" value="Valider les modifications">
          </div>
        </div>
      </div>
    </form>
  </div>
</div>